Subject: Re: [lojban] Logical translation request

From: Rob Speer <[email-masked]>
Date: Tue, 18 Dec 2001 22:52:47 -0500

On Tue, Dec 18, 2001 at 02:29:18AM -0500, Bob LeChevalier (lojbab) wrote:
> At 12:14 AM 12/18/01 -0500, Rob Speer wrote:
> >On Mon, Dec 17, 2001 at 10:45:47PM -0500, Bob LeChevalier (lojbab) wrote:
> > > It can, but as naujeki (or naujoiki)
> >
> >Is there any particular reason for this? Similarly, for the CAhA selma'o
> >and the fact that CAhA + NAI is ungrammatical?
> 
> Probably it is ungrammatical either because a) we never thought of adding a 
> rule for CAhA+NAI because we couldn't think of what such a thing might 
> mean, or b) we couldn't make it work in YACC.

But {na'eca'a} parses, and in fact {na'epu'i} is even in the cmavo list.
CAhA is just glaringly different from other tense cmavo in the way it's
negated, though. People _do_ say {ka'enai}, when {na'eka'e} would be the
grammatical version.

> >I've probably expressed this before, but I think that the separation of
> >tense selma'o is going to be the first thing to go when the baseline
> >ends - which would for the most part bring the language more in line
> >with usage anyway, and with the goal to remove restrictions on thought.
> 
> If it goes, then we return to the TLI Loglan state where any agglomeration 
> of tense words is a tense, whether or not it could possibly mean 
> anything. We tried to err on the side of over-specification - at one point 
> PA was several selma'o so that we could rule out invalid "number" strings 
> and thereby make other number strings more meaningful. We could not devise 
> an unambiguous grammar for numbers in multiple selma'o so we abandoned the 
> effort. In contrast, we have a grammar for tenses that works and is only 
> clumsy when you push it in new directions. It is more flexible and 
> powerful than any natlang tense system, and it was the best we could do.

Okay. I'm willing to accept that this system is more powerful, but is
there any document which explains how this power should be _used_? The
Book rarely uses more than two tenses at a time, so it doesn't give much
of an indication of how they interact.

Also, I know from other situations like (as you point out) numbers, and
UI, that meaningless conglomerations of words can be grammatical. It's
not the grammar's job to restrict semantics.

> The different selma'o within the tense system DO reflect distinctions in 
> meaning. Sometimes unrelated words ended up in one selma'o (as cu'e and 
> nau) because we could not think of a difference in how they would be 
> used. But a CAhA is not a CA or a TAhE, and whatever a CAhA+NAI might mean 
> is not determined by parallels with those other selma'o. Hence it is a 
> separate selma'o

How does this justify VA and ZI being separate? And do they in fact have
different grammar, or is this another case of a bogus split in selma'o?
(I forget what the other one was - I think it involved TAhE)

-- 
la rab.spir
.i dei ka'enai se genjmi